# Generated by Django 2.2.4 on 2019-08-19 13:46

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='SiteSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('country_code', models.CharField(db_index=True, max_length=255, verbose_name='Country code')),
                ('pinterest_page_url', models.URLField(blank=True, default=None, null=True, verbose_name='Pinterest page URL')),
                ('twitter_page_url', models.URLField(blank=True, default=None, null=True, verbose_name='Twitter page URL')),
                ('facebook_page_url', models.URLField(blank=True, default=None, null=True, verbose_name='Facebook page URL')),
                ('instagram_page_url', models.URLField(blank=True, default=None, null=True, verbose_name='Instagram page URL')),
                ('contact_email', models.EmailField(blank=True, default=None, max_length=254, null=True, verbose_name='Contact email')),
                ('config', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=None, null=True, verbose_name='Config')),
                ('ad_config', models.TextField(blank=True, default=None, null=True, verbose_name='AD config')),
            ],
            options={
                'verbose_name': 'Site setting',
                'verbose_name_plural': 'Site settings',
            },
        ),
    ]
